<?php
$wp_customize->add_section(
	'newsletter_section',
	array(
		'title'         => __( 'Newsletter Section', 'Luzuk' ), 
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
$wp_customize->add_setting(
	'newsletter_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'newsletter_section_disable',
		array(
			'settings'      => 'newsletter_section_disable',
			'section'       => 'newsletter_section',
			'label'         => __( 'Disable Section', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk' ),
				'off' => __( 'No', 'Luzuk' )
			)   
		)
	)
); 
backgroundManager($wp_customize, 'newsletter', 'newsletter_section', $color='#ffffff');

lzCustomLable($wp_customize, 'news_bx_lbl', 'newsletter_section', 'Section Padding:');

$wp_customize->add_setting(
	'sec_newssectionTpadding', 
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '6em', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'sec_newssectionTpadding',
	array(
		'settings'      => 'sec_newssectionTpadding',
		'section'       => 'newsletter_section',
		'type'          => 'text',
		'label'         => __( 'Top Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'sec_newssectionBpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '6em', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'sec_newssectionBpadding',
	array(
		'settings'      => 'sec_newssectionBpadding',
		'section'       => 'newsletter_section',
		'type'          => 'text',
		'label'         => __( 'Bottom Padding', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'sec_newssectionLpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0em', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'sec_newssectionLpadding',
	array(
		'settings'      => 'sec_newssectionLpadding',
		'section'       => 'newsletter_section',
		'type'          => 'text',
		'label'         => __( 'Left Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'sec_newssectionRpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0em', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'sec_newssectionRpadding',
	array(
		'settings'      => 'sec_newssectionRpadding',
		'section'       => 'newsletter_section',
		'type'          => 'text',
		'label'         => __( 'Right Padding', 'lz-fitness-premium' )
	)
);


lzCustomLable($wp_customize, 'nrews_lbl', 'newsletter_section', 'Section Title:');
$wp_customize->add_setting(
	'Newsletter_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Newsletter Sign Up', 'Luzuk' ) 
	)
);
$wp_customize->add_control(
	'Newsletter_title',
	array(
		'settings'      => 'Newsletter_title',
		'section'       => 'newsletter_section',
		'type'          => 'text',
		'label'         => __( 'Section Title', 'Luzuk' )
	)
);
addColorPalatOption($wp_customize, 'news_formtaglineColor', 'newsletter_section', 'Section Title color', '#2b2b2b');

$wp_customize->add_setting(
	'news_form_lbl',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);

$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'news_form_lbl',
		array(
			'settings'      => 'news_form_lbl',
			'section'       => 'newsletter_section',
			'label'         => __( 'Add form shortcode', 'Luzuk' ),
		)
	)
);
$wp_customize->add_setting(
	'newsletter_form_shortcode',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'newsletter_form_shortcode',
	array(
		'settings'      => 'newsletter_form_shortcode',
		'section'       => 'newsletter_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'Luzuk' )
	)
);


addColorPalatOption($wp_customize, 'news_formTextColor', 'newsletter_section', 'Form text & placeholder text color', '#797979'); 
addColorPalatOption($wp_customize, 'news_labelColor', 'newsletter_section', 'Form label Text color', '#797979');
addColorPalatOption($wp_customize, 'news_formborderColor', 'newsletter_section', 'Form text fields background color', '#ffffff');
addColorPalatOption($wp_customize, 'news_btntextColor', 'newsletter_section', 'Form button text color', '#ffffff');
addColorPalatOption($wp_customize, 'news_btntexthoverColor', 'newsletter_section', 'Form button text hover color', '#ffffff');
addColorPalatOption($wp_customize, 'news_btnbgColor', 'newsletter_section', 'Form button background color', '#f8b739'); 
addColorPalatOption($wp_customize, 'news_btnbghoverColor', 'newsletter_section', 'Form button background hover color', '#7d51fc');

addColorPalatOption($wp_customize, 'news_formbxbgssColor', 'newsletter_section', 'Form box background color', '#f7f7f7');



lzCustomLable($wp_customize, 'newssocial_lblsocialtxt', 'newsletter_section', 'Social Tagline');

$wp_customize->add_setting(
	'Newsletter_Social_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Subscribe and follow', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'Newsletter_Social_title',
	array(
		'settings'      => 'Newsletter_Social_title',
		'section'       => 'newsletter_section',
		'type'          => 'text',
		'label'         => __( 'Add Social Tagline Here:', 'lz-fitness-premium' )
	)
);
addColorPalatOption($wp_customize, 'news_Social_titleColor', 'newsletter_section', ' Social Tagline color', '#2b2b2b');





// Adding the Label
lzCustomLable($wp_customize, 'news_lblsocialtxt', 'newsletter_section', 'Add Social Media Links');


// FACEBOOK 
$wp_customize->add_setting('newsletter_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('newsletter_fb',
	array(
		'settings'      => 'newsletter_fb',
		'section'       => 'newsletter_section',
		'type'          => 'url',
		'label'         => __( 'Add Facebook Url Here', 'lz-fitness-premium' )
	)
);



addColorPalatOption($wp_customize, 'newsletterFbSocialsColor', 'newsletter_section', 'Facebook Social color', '#ffffff');
addColorPalatOption($wp_customize, 'newsletterFbSocialsBgssColor', 'newsletter_section', 'Facebook Social Background color', '#4268b3');
addColorPalatOption($wp_customize, 'newsletterFbSocialsHoverColor', 'newsletter_section', 'Facebook Social Hover color', '#4268b3');
addColorPalatOption($wp_customize, 'newsletterFbSocialsHvrsBgssColor', 'newsletter_section', 'Facebook Social Hover Background color', '#ffffff');

// TWITTER
$wp_customize->add_setting('newsletter_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('newsletter_tw',
	array(
		'settings'      => 'newsletter_tw',
		'section'       => 'newsletter_section',
		'type'          => 'url',
		'label'         => __( 'Add Twitter Url Here', 'lz-fitness-premium' )
	)
);


addColorPalatOption($wp_customize, 'newsletterTwittSocialsColor', 'newsletter_section', 'Twitter Social color', '#ffffff');
addColorPalatOption($wp_customize, 'newsletterTwittSocialsBgssColor', 'newsletter_section', 'Twitter Social Background color', '#1ea1f2');
addColorPalatOption($wp_customize, 'newsletterTwittSocialsHoverColor', 'newsletter_section', 'Twitter Social Hover color', '#1ea1f2');
addColorPalatOption($wp_customize, 'newsletterTwittSocialsHvrsBgssColor', 'newsletter_section', 'Twitter Social Hover Background color', '#ffffff');


// Linkedin
$wp_customize->add_setting('newsletter_li', array('default' => 'https://www.linkedin.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('newsletter_li',
	array(
		'settings'      => 'newsletter_li',
		'section'       => 'newsletter_section',
		'type'          => 'url',
		'label'         => __( 'Add linkedin Url Here', 'tattooexpert' )
	)
); 


addColorPalatOption($wp_customize, 'newsletterLinkSocialsColor', 'newsletter_section', 'Linkedin Social color', '#ffffff');
addColorPalatOption($wp_customize, 'newsletterLinkSocialsBgssColor', 'newsletter_section', 'Linkedin Social Background color', '#0077b7');
addColorPalatOption($wp_customize, 'newsletterLinkSocialsHoverColor', 'newsletter_section', 'Linkedin Social Hover color', '#0077b7');
addColorPalatOption($wp_customize, 'newsletterLinkSocialsHvrsBgssColor', 'newsletter_section', 'Linkedin Social Hover Background color', '#ffffff');



// Youtube
$wp_customize->add_setting('newsletter_youtube', array('default' => 'https://www.youtube.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('newsletter_youtube',
	array(
		'settings'      => 'newsletter_youtube',
		'section'       => 'newsletter_section',
		'type'          => 'url',
		'label'         => __( 'Add Youtube Url Here', 'tattooexpert' )
	)
); 


addColorPalatOption($wp_customize, 'newsletterYoutubeSocialsColor', 'newsletter_section', 'Youtube Social color', '#ffffff');
addColorPalatOption($wp_customize, 'newsletterYoutubeSocialsBgssColor', 'newsletter_section', 'Youtube Social Background color', '#f61105');
addColorPalatOption($wp_customize, 'newsletterYoutubeSocialsHoverColor', 'newsletter_section', 'Youtube Social Hover color', '#f61105');
addColorPalatOption($wp_customize, 'newsletterYoutubeSocialsHvrsBgssColor', 'newsletter_section', 'Youtube Social Hover Background color', '#ffffff');


lzCustomLable($wp_customize, 'news_otherlblsocialtxt', 'newsletter_section', 'Other Color:');

addColorPalatOption($wp_customize, 'newsletterSocialBx_Color', 'newsletter_section', 'Social Box Border color', '#2b2b2b');
